Skip to main content
GET
/
v1
/
momos
/
{providerId}
Get Momo
curl --request GET \
  --url https://api.monime.io/v1/momos/{providerId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.monime.io/v1/momos/{providerId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.monime.io/v1/momos/{providerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "messages": [
    "<unknown>"
  ],
  "result": {
    "providerId": "m17",
    "name": "Orange Money",
    "country": "SL",
    "status": {
      "active": true
    },
    "featureSet": {
      "payout": {
        "canPayTo": true,
        "schemes": [
          "<string>"
        ],
        "metadata": {}
      },
      "payment": {
        "canPayFrom": true,
        "schemes": [
          "<string>"
        ],
        "metadata": {}
      },
      "kycVerification": {
        "canVerifyAccount": true,
        "metadata": {}
      }
    },
    "createTime": "2023-11-07T05:31:56Z",
    "updateTime": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer HTTP authentication specified with the header Authorization: Bearer <access_token>

Headers

Monime-Version
enum<string> | null

Specifies which version of the Monime API will handle this request.

Available options:
caph.2025-08-23,
caph.2025-06-20

Path Parameters

providerId
string
required

Unique provider ID for the momo as assigned by Monime.

Response

200 - application/json

OK

success
boolean

Represents the status of the query operation, confirming if it was successful. This field is always true

messages
any[]

Contains a list of messages providing relevant information or feedback related to the query or operation

result
Momo · object